API server

https://app.coolify.io/api/v1

Choose where to send API requests

This changes the request URL and code examples on every endpoint page.

API server type

Requests will use

https://app.coolify.io/api/v1

Use only a Coolify URL you trust. Sending a test request also sends the API token you enter.

POST
/servers

Create Server.

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.

In: header

Request Body

application/json

Server created.

TypeScript Definitions

Use the request body type in TypeScript.

name?string

The name of the server.

description?string

The description of the server.

ip?string

The IP of the server.

port?integer

The port of the server.

user?string

The user of the server.

private_key_uuid?string

The UUID of the private key.

is_build_server?boolean

Is build server.

instant_validate?boolean

Instant validate.

proxy_type?string

The proxy type.

Value in"traefik" | "caddy" | "none"

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://app.coolify.io/api/v1/servers" \  -H "Content-Type: application/json" \  -d '{}'
{  "uuid": "og888os"}
{  "message": "Invalid token."}
{  "message": "Unauthenticated."}
{  "message": "Resource not found."}
{  "message": "Validation error.",  "errors": {    "name": [      "The name field is required."    ],    "api_url": [      "The api url field is required.",      "The api url format is invalid."    ]  }}